PersistenceTracker
Date: 2016-06-24

org.apache.geronimo.specs.jpa

## Class PersistenceTracker

- java.lang.Object
- - org.apache.geronimo.specs.jpa.PersistenceTracker

- All Implemented Interfaces:
    org.osgi.util.tracker.ServiceTrackerCustomizer

      public class PersistenceTracker
      extends java.lang.Object
      implements org.osgi.util.tracker.ServiceTrackerCustomizer

  Used to track JPA service providers in an OSGi environment.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistenceTracker(PersistenceActivator activator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `addingService(org.osgi.framework.ServiceReference arg0)`
    `void` | `modifiedService(org.osgi.framework.ServiceReference arg0, java.lang.Object arg1)`
    `void` | `removedService(org.osgi.framework.ServiceReference arg0, java.lang.Object arg1)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistenceTracker

          public PersistenceTracker(PersistenceActivator activator)

  - ### Method Detail

    - #### addingService

          public java.lang.Object addingService(org.osgi.framework.ServiceReference arg0)

      Specified by:
        `addingService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer`

    - #### modifiedService

          public void modifiedService(org.osgi.framework.ServiceReference arg0,
                             java.lang.Object arg1)

      Specified by:
        `modifiedService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer`

    - #### removedService

          public void removedService(org.osgi.framework.ServiceReference arg0,
                            java.lang.Object arg1)

      Specified by:
        `removedService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer`